NumberFormat
Date: 2016-06-24

java.text

## Class NumberFormat

- java.lang.Object
- - java.text.Format
  - - java.text.NumberFormat

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    ChoiceFormat, DecimalFormat

      public abstract class NumberFormat
      extends Format

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NumberFormat.Field`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FRACTION_FIELD`
    `static int` | `INTEGER_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(double var0)`
    `abstract StringBuffer` | `format(double var0, StringBuffer var1, FieldPosition var2)`
    `String` | `format(long var0)`
    `abstract StringBuffer` | `format(long var0, StringBuffer var1, FieldPosition var2)`
    `StringBuffer` | `format(Object var0, StringBuffer var1, FieldPosition var2)`
    `static Locale[]` | `getAvailableLocales()`
    `Currency` | `getCurrency()`
    `static NumberFormat` | `getCurrencyInstance()`
    `static NumberFormat` | `getCurrencyInstance(Locale var0)`
    `static NumberFormat` | `getInstance()`
    `static NumberFormat` | `getInstance(Locale var0)`
    `static NumberFormat` | `getIntegerInstance()`
    `static NumberFormat` | `getIntegerInstance(Locale var0)`
    `int` | `getMaximumFractionDigits()`
    `int` | `getMaximumIntegerDigits()`
    `int` | `getMinimumFractionDigits()`
    `int` | `getMinimumIntegerDigits()`
    `static NumberFormat` | `getNumberInstance()`
    `static NumberFormat` | `getNumberInstance(Locale var0)`
    `static NumberFormat` | `getPercentInstance()`
    `static NumberFormat` | `getPercentInstance(Locale var0)`
    `boolean` | `isGroupingUsed()`
    `boolean` | `isParseIntegerOnly()`
    `Number` | `parse(String var0)`
    `abstract Number` | `parse(String var0, ParsePosition var1)`
    `Object` | `parseObject(String var0, ParsePosition var1)`
    `void` | `setCurrency(Currency var0)`
    `void` | `setGroupingUsed(boolean var0)`
    `void` | `setMaximumFractionDigits(int var0)`
    `void` | `setMaximumIntegerDigits(int var0)`
    `void` | `setMinimumFractionDigits(int var0)`
    `void` | `setMinimumIntegerDigits(int var0)`
    `void` | `setParseIntegerOnly(boolean var0)`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FRACTION_FIELD

          public static final int FRACTION_FIELD

      See Also:
        Constant Field Values

    - #### INTEGER_FIELD

          public static final int INTEGER_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NumberFormat

          public NumberFormat()

  - ### Method Detail

    - #### format

          public final String format(double var0)

    - #### format

          public abstract StringBuffer format(double var0,
                            StringBuffer var1,
                            FieldPosition var2)

    - #### format

          public final String format(long var0)

    - #### format

          public abstract StringBuffer format(long var0,
                            StringBuffer var1,
                            FieldPosition var2)

    - #### format

          public final StringBuffer format(Object var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `Format`

    - #### getAvailableLocales

          public static Locale[] getAvailableLocales()

    - #### getCurrency

          public Currency getCurrency()

    - #### getCurrencyInstance

          public static final NumberFormat getCurrencyInstance()

    - #### getCurrencyInstance

          public static NumberFormat getCurrencyInstance(Locale var0)

    - #### getInstance

          public static final NumberFormat getInstance()

    - #### getInstance

          public static NumberFormat getInstance(Locale var0)

    - #### getIntegerInstance

          public static final NumberFormat getIntegerInstance()

    - #### getIntegerInstance

          public static NumberFormat getIntegerInstance(Locale var0)

    - #### getMaximumFractionDigits

          public int getMaximumFractionDigits()

    - #### getMaximumIntegerDigits

          public int getMaximumIntegerDigits()

    - #### getMinimumFractionDigits

          public int getMinimumFractionDigits()

    - #### getMinimumIntegerDigits

          public int getMinimumIntegerDigits()

    - #### getNumberInstance

          public static final NumberFormat getNumberInstance()

    - #### getNumberInstance

          public static NumberFormat getNumberInstance(Locale var0)

    - #### getPercentInstance

          public static final NumberFormat getPercentInstance()

    - #### getPercentInstance

          public static NumberFormat getPercentInstance(Locale var0)

    - #### isGroupingUsed

          public boolean isGroupingUsed()

    - #### isParseIntegerOnly

          public boolean isParseIntegerOnly()

    - #### parse

          public Number parse(String var0)
                       throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public abstract Number parse(String var0,
                     ParsePosition var1)

    - #### parseObject

          public final Object parseObject(String var0,
                           ParsePosition var1)

      Specified by:
        `parseObject` in class `Format`

    - #### setCurrency

          public void setCurrency(Currency var0)

    - #### setGroupingUsed

          public void setGroupingUsed(boolean var0)

    - #### setMaximumFractionDigits

          public void setMaximumFractionDigits(int var0)

    - #### setMaximumIntegerDigits

          public void setMaximumIntegerDigits(int var0)

    - #### setMinimumFractionDigits

          public void setMinimumFractionDigits(int var0)

    - #### setMinimumIntegerDigits

          public void setMinimumIntegerDigits(int var0)

    - #### setParseIntegerOnly

          public void setParseIntegerOnly(boolean var0)